Bug 785211 - Content deploy in UI can hang forever
Content deploy in UI can hang forever
Status: NEW
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-27 11:18 EST by Heiko W. Rupp
Modified: 2012-01-30 11:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-01-27 11:18:41 EST
Description of problem:

If the code in org.rhq.core.pc.content.CreateContentRunner#call throws an exception outside the initial call block, it is only logged by the call from org.rhq.core.pc.content.CreateContentRunner#run, but no failure state is returned, which means the deploy process hangs in the UI forever in state "deploying" (it may run into a timeout after a looong time).
This may be "academic", but can occur if e.g. the plugin returns a 'null' response and thus org.rhq.core.pc.content.CreateContentRunner#call throwing a NPE
Comment 1 Mike Foley 2012-01-30 11:43:09 EST
setting priority per 12/30/2012 BZ triage mfoley, ccrouch, loleary, asantos

Note You need to log in before you can comment on or make changes to this bug.